classification
Title: No SSL match_hostname() in ftplib
Type: security Stage: resolved
Components: Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, christian.heimes, giampaolo.rodola, python-dev
Priority: normal Keywords: patch

Created on 2013-11-25 23:44 by christian.heimes, last changed 2013-12-02 14:49 by christian.heimes. This issue is now closed.

Files
File name Uploaded Description Edit
check_ftplib.patch christian.heimes, 2013-11-25 23:44 review
Messages (2)
msg204433 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-11-25 23:44
match_hostname patch for ftplib (see #19509)
msg204988 - (view) Author: Roundup Robot (python-dev) Date: 2013-12-02 01:58
New changeset 373797990f57 by Christian Heimes in branch 'default':
Issue #19781: ftplib now supports SSLContext.check_hostname and server name
http://hg.python.org/cpython/rev/373797990f57
History
Date User Action Args
2013-12-02 14:49:30christian.heimessetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-12-02 01:58:21python-devsetnosy: + python-dev
messages: + msg204988
2013-11-27 15:37:28pitrousetnosy: + giampaolo.rodola
2013-11-26 02:24:59Arfreversetnosy: + Arfrever
2013-11-25 23:48:56christian.heimeslinkissue19509 dependencies
2013-11-25 23:44:23christian.heimescreate